<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::GaussianProcess&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_gaussian_process.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classmelon_1_1_gaussian_process-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::GaussianProcess&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class represents a Gaussian process, to be used in the MAiNGO solver.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="gp_8h_source.html">gp.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::GaussianProcess&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_gaussian_process.png" usemap="#melon::GaussianProcess_3C_20T_20_3E_map" alt=""/>
  <map id="melon::GaussianProcess_3C_20T_20_3E_map" name="melon::GaussianProcess_3C_20T_20_3E_map">
<area href="classmelon_1_1_melon_model.html" alt="melon::MelonModel&lt; T &gt;" shape="rect" coords="0,0,180,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a386be5795c1407b0df246c12b8035054" id="r_a386be5795c1407b0df246c12b8035054"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a386be5795c1407b0df246c12b8035054">GaussianProcess</a> ()</td></tr>
<tr class="memdesc:a386be5795c1407b0df246c12b8035054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <br /></td></tr>
<tr class="separator:a386be5795c1407b0df246c12b8035054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c32e218afd15ba63535b145d9856e8" id="r_ae1c32e218afd15ba63535b145d9856e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae1c32e218afd15ba63535b145d9856e8">GaussianProcess</a> (std::string modelName)</td></tr>
<tr class="memdesc:ae1c32e218afd15ba63535b145d9856e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:ae1c32e218afd15ba63535b145d9856e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad022caec3e9f32a89a554afa9ea77883" id="r_ad022caec3e9f32a89a554afa9ea77883"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad022caec3e9f32a89a554afa9ea77883">GaussianProcess</a> (std::string modelPath, std::string modelName)</td></tr>
<tr class="memdesc:ad022caec3e9f32a89a554afa9ea77883"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:ad022caec3e9f32a89a554afa9ea77883"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6d128dfb4eca209c55da37ea1c2f87" id="r_a5d6d128dfb4eca209c55da37ea1c2f87"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5d6d128dfb4eca209c55da37ea1c2f87">GaussianProcess</a> (std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &gt; modelData)</td></tr>
<tr class="memdesc:a5d6d128dfb4eca209c55da37ea1c2f87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a5d6d128dfb4eca209c55da37ea1c2f87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b51f0e927d803d0fef8e55a6048db9f" id="r_a9b51f0e927d803d0fef8e55a6048db9f"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9b51f0e927d803d0fef8e55a6048db9f">calculate_prediction_reduced_space</a> (std::vector&lt; T &gt; input) const</td></tr>
<tr class="memdesc:a9b51f0e927d803d0fef8e55a6048db9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the prediction of the Gaussian process at a given point in reduced space mode (only network inputs are given)  <br /></td></tr>
<tr class="separator:a9b51f0e927d803d0fef8e55a6048db9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7f1bb9cf6432e92cb6e1fa1682173f" id="r_a6c7f1bb9cf6432e92cb6e1fa1682173f"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6c7f1bb9cf6432e92cb6e1fa1682173f">calculate_variance_reduced_space</a> (std::vector&lt; T &gt; input) const</td></tr>
<tr class="memdesc:a6c7f1bb9cf6432e92cb6e1fa1682173f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the variance of the Gaussian process at a given point in reduced space mode (only network inputs are given)  <br /></td></tr>
<tr class="separator:a6c7f1bb9cf6432e92cb6e1fa1682173f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b9fd56e1979ed3d19dd1ea1e5c20f6d" id="r_a9b9fd56e1979ed3d19dd1ea1e5c20f6d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9b9fd56e1979ed3d19dd1ea1e5c20f6d">calculate_prediction_full_space</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:a9b9fd56e1979ed3d19dd1ea1e5c20f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the prediction of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned)  <br /></td></tr>
<tr class="separator:a9b9fd56e1979ed3d19dd1ea1e5c20f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94eabcf5f7738b9b8a153fdcdecc6227" id="r_a94eabcf5f7738b9b8a153fdcdecc6227"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a94eabcf5f7738b9b8a153fdcdecc6227">calculate_variance_full_space</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:a94eabcf5f7738b9b8a153fdcdecc6227"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the variance of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned)  <br /></td></tr>
<tr class="separator:a94eabcf5f7738b9b8a153fdcdecc6227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea1c4e3fa274464c3cee7639f90ddbb2" id="r_aea1c4e3fa274464c3cee7639f90ddbb2"><td class="memItemLeft" align="right" valign="top">std::pair&lt; T, T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aea1c4e3fa274464c3cee7639f90ddbb2">calculate_prediction_and_variance_full_space</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:aea1c4e3fa274464c3cee7639f90ddbb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the prediction and the variance of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned)  <br /></td></tr>
<tr class="separator:aea1c4e3fa274464c3cee7639f90ddbb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006eeec94356a5c0d487afe48576c5da" id="r_a006eeec94356a5c0d487afe48576c5da"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a006eeec94356a5c0d487afe48576c5da">get_input_dimension</a> () const</td></tr>
<tr class="memdesc:a006eeec94356a5c0d487afe48576c5da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the dimesnion of the input.  <br /></td></tr>
<tr class="separator:a006eeec94356a5c0d487afe48576c5da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99abab766cd09603c980597d38116d53" id="r_a99abab766cd09603c980597d38116d53"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a99abab766cd09603c980597d38116d53">get_number_of_training_data_points</a> () const</td></tr>
<tr class="memdesc:a99abab766cd09603c980597d38116d53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of training data points.  <br /></td></tr>
<tr class="separator:a99abab766cd09603c980597d38116d53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e3d14f20ee559d8cf964ebf36bc386b" id="r_a0e3d14f20ee559d8cf964ebf36bc386b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0e3d14f20ee559d8cf964ebf36bc386b">get_minimum_of_training_data_outputs</a> () const</td></tr>
<tr class="memdesc:a0e3d14f20ee559d8cf964ebf36bc386b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the minimum value of the training data outputs.  <br /></td></tr>
<tr class="separator:a0e3d14f20ee559d8cf964ebf36bc386b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35581bbd6af8440edc7a1b61215a005b" id="r_a35581bbd6af8440edc7a1b61215a005b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a35581bbd6af8440edc7a1b61215a005b">get_maximum_of_training_data_outputs</a> () const</td></tr>
<tr class="memdesc:a35581bbd6af8440edc7a1b61215a005b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum value of the training data outputs.  <br /></td></tr>
<tr class="separator:a35581bbd6af8440edc7a1b61215a005b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ee37192b3384763b4e43c8c3d345ee" id="r_ae4ee37192b3384763b4e43c8c3d345ee"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae4ee37192b3384763b4e43c8c3d345ee">get_number_of_full_space_variables_prediction</a> () const</td></tr>
<tr class="memdesc:ae4ee37192b3384763b4e43c8c3d345ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of internal variables used in the calculation of the prediction.  <br /></td></tr>
<tr class="separator:ae4ee37192b3384763b4e43c8c3d345ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24caeed57b90c191e62dc0142b94fea2" id="r_a24caeed57b90c191e62dc0142b94fea2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a24caeed57b90c191e62dc0142b94fea2">get_full_space_variables_prediction</a> (unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td></tr>
<tr class="memdesc:a24caeed57b90c191e62dc0142b94fea2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the properties of internal variables used in the calculation of the prediction.  <br /></td></tr>
<tr class="separator:a24caeed57b90c191e62dc0142b94fea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57f8f0996f1a8f467d4e0a4460daccc" id="r_aa57f8f0996f1a8f467d4e0a4460daccc"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa57f8f0996f1a8f467d4e0a4460daccc">get_number_of_full_space_variables_variance</a> () const</td></tr>
<tr class="memdesc:aa57f8f0996f1a8f467d4e0a4460daccc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of internal variables used in the calculation of the variance.  <br /></td></tr>
<tr class="separator:aa57f8f0996f1a8f467d4e0a4460daccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a579feefd59d2f49a68355a7fa60f6aca" id="r_a579feefd59d2f49a68355a7fa60f6aca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a579feefd59d2f49a68355a7fa60f6aca">get_full_space_variables_variance</a> (unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td></tr>
<tr class="memdesc:a579feefd59d2f49a68355a7fa60f6aca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the properties of internal variables used in the calculation of the variance.  <br /></td></tr>
<tr class="separator:a579feefd59d2f49a68355a7fa60f6aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a585d1d461394871c97aad401c2228c99" id="r_a585d1d461394871c97aad401c2228c99"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a585d1d461394871c97aad401c2228c99">get_number_of_full_space_variables_prediction_and_variance</a> () const</td></tr>
<tr class="memdesc:a585d1d461394871c97aad401c2228c99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of internal variables used in the calculation of prediction and variance.  <br /></td></tr>
<tr class="separator:a585d1d461394871c97aad401c2228c99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e0ade2765c9ac980f7d800a70ef24b7" id="r_a0e0ade2765c9ac980f7d800a70ef24b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0e0ade2765c9ac980f7d800a70ef24b7">get_full_space_variables_prediction_and_variance</a> (unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td></tr>
<tr class="memdesc:a0e0ade2765c9ac980f7d800a70ef24b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the properties of internal variables used in the calculation of prediction and variance.  <br /></td></tr>
<tr class="separator:a0e0ade2765c9ac980f7d800a70ef24b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30f580feffc439827c21b45186306b7" id="r_ac30f580feffc439827c21b45186306b7"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac30f580feffc439827c21b45186306b7">get_observations</a> () const</td></tr>
<tr class="memdesc:ac30f580feffc439827c21b45186306b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the observations based on which the Gaussian process was trained and is evaluated.  <br /></td></tr>
<tr class="separator:ac30f580feffc439827c21b45186306b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88731473ec79c91e7d76b73f445abca5" id="r_a88731473ec79c91e7d76b73f445abca5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a88731473ec79c91e7d76b73f445abca5">get_normalized_observations</a> () const</td></tr>
<tr class="memdesc:a88731473ec79c91e7d76b73f445abca5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the the normalized values of the observations based on which the Gaussian process was trained and is evaluated.  <br /></td></tr>
<tr class="separator:a88731473ec79c91e7d76b73f445abca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e8c3d8b831d23f84ed287936cfddee6" id="r_a1e8c3d8b831d23f84ed287936cfddee6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1e8c3d8b831d23f84ed287936cfddee6">data</a> () const</td></tr>
<tr class="memdesc:a1e8c3d8b831d23f84ed287936cfddee6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Getter for member variable _data.  <br /></td></tr>
<tr class="separator:a1e8c3d8b831d23f84ed287936cfddee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab97b001f7292c45711747d1c8a2af0c4" id="r_ab97b001f7292c45711747d1c8a2af0c4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt; double, T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab97b001f7292c45711747d1c8a2af0c4">kernel</a> () const</td></tr>
<tr class="memdesc:ab97b001f7292c45711747d1c8a2af0c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Getter for member variable _kernel.  <br /></td></tr>
<tr class="separator:ab97b001f7292c45711747d1c8a2af0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42d8f0f48eb7287d56c02669311c948d" id="r_a42d8f0f48eb7287d56c02669311c948d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a42d8f0f48eb7287d56c02669311c948d">inputScaler</a> () const</td></tr>
<tr class="memdesc:a42d8f0f48eb7287d56c02669311c948d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Getter for member variable _inputScaler.  <br /></td></tr>
<tr class="separator:a42d8f0f48eb7287d56c02669311c948d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adccc51ca01998882d9fbc13d4c4b8f6d" id="r_adccc51ca01998882d9fbc13d4c4b8f6d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adccc51ca01998882d9fbc13d4c4b8f6d">predictionScaler</a> () const</td></tr>
<tr class="memdesc:adccc51ca01998882d9fbc13d4c4b8f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Getter for member variable _predictionScaler.  <br /></td></tr>
<tr class="separator:adccc51ca01998882d9fbc13d4c4b8f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47e87f482e0b7a8d6ab7ed6640af3d2c" id="r_a47e87f482e0b7a8d6ab7ed6640af3d2c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a47e87f482e0b7a8d6ab7ed6640af3d2c">parameterScaler</a> () const</td></tr>
<tr class="memdesc:a47e87f482e0b7a8d6ab7ed6640af3d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Getter for member variable _parameterScaler.  <br /></td></tr>
<tr class="separator:a47e87f482e0b7a8d6ab7ed6640af3d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model" id="r_a1c7f4a28d7a34e48a93b9899a66204b0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a> ()=default</td></tr>
<tr class="memdesc:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <br /></td></tr>
<tr class="separator:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model" id="r_a9acb78ea183bc6bf583540efcef58a0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a> (std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model" id="r_ae002de8e7c020adfcad49ce7e050066e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a> (std::string modelPath, std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model" id="r_a37fb378f8eabbcfdb7db707dbfa04a26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData)</td></tr>
<tr class="memdesc:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8eec30fd8d4072723776d87b5c510b15" id="r_a8eec30fd8d4072723776d87b5c510b15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8eec30fd8d4072723776d87b5c510b15">_set_data_object</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData) override</td></tr>
<tr class="memdesc:a8eec30fd8d4072723776d87b5c510b15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets data object containing model parameters.  <br /></td></tr>
<tr class="separator:a8eec30fd8d4072723776d87b5c510b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa8c94b875d1c3162326c04fc3794e9" id="r_aefa8c94b875d1c3162326c04fc3794e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aefa8c94b875d1c3162326c04fc3794e9">_set_kernel</a> (std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &gt; <a class="el" href="#a1e8c3d8b831d23f84ed287936cfddee6">data</a>)</td></tr>
<tr class="memdesc:aefa8c94b875d1c3162326c04fc3794e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for setting the kernel of the Gaussian process.  <br /></td></tr>
<tr class="separator:aefa8c94b875d1c3162326c04fc3794e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae8bb3d11aff0e09abd06a04c79ce919" id="r_aae8bb3d11aff0e09abd06a04c79ce919"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:aae8bb3d11aff0e09abd06a04c79ce919"><td class="memTemplItemLeft" align="right" valign="top">std::vector&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#aae8bb3d11aff0e09abd06a04c79ce919">_calculate_covariance_vector</a> (std::vector&lt; T &gt; input, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:aae8bb3d11aff0e09abd06a04c79ce919"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the covariance vector of the Gaussian process for a given point.  <br /></td></tr>
<tr class="separator:aae8bb3d11aff0e09abd06a04c79ce919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e0cf68a04c497a3b5f6ac9ba23f9105" id="r_a6e0cf68a04c497a3b5f6ac9ba23f9105"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a6e0cf68a04c497a3b5f6ac9ba23f9105"><td class="memTemplItemLeft" align="right" valign="top">T&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#a6e0cf68a04c497a3b5f6ac9ba23f9105">_calculate_prediction</a> (std::vector&lt; T &gt; covarianceVector, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:a6e0cf68a04c497a3b5f6ac9ba23f9105"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the prediction of the Gaussian process for a given point.  <br /></td></tr>
<tr class="separator:a6e0cf68a04c497a3b5f6ac9ba23f9105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f9be500790e7a7f8f01e905bab43286" id="r_a2f9be500790e7a7f8f01e905bab43286"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a2f9be500790e7a7f8f01e905bab43286"><td class="memTemplItemLeft" align="right" valign="top">T&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#a2f9be500790e7a7f8f01e905bab43286">_calculate_variance</a> (std::vector&lt; T &gt; covarianceVector, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td></tr>
<tr class="memdesc:a2f9be500790e7a7f8f01e905bab43286"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the variance of the Gaussian process for a given point.  <br /></td></tr>
<tr class="separator:a2f9be500790e7a7f8f01e905bab43286"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7a0e63218ed6e1c2c03ef0da5f0eee3e" id="r_a7a0e63218ed6e1c2c03ef0da5f0eee3e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7a0e63218ed6e1c2c03ef0da5f0eee3e">_data</a></td></tr>
<tr class="separator:a7a0e63218ed6e1c2c03ef0da5f0eee3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a281daa122ee8cde5ea35d22febfb9830" id="r_a281daa122ee8cde5ea35d22febfb9830"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt; double, T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a281daa122ee8cde5ea35d22febfb9830">_kernel</a></td></tr>
<tr class="separator:a281daa122ee8cde5ea35d22febfb9830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab71eff604f282686adc536b2692414a6" id="r_ab71eff604f282686adc536b2692414a6"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab71eff604f282686adc536b2692414a6">_inputScaler</a></td></tr>
<tr class="separator:ab71eff604f282686adc536b2692414a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c4066fe0ac0bdcb4947d7e8ee0ee0fd" id="r_a0c4066fe0ac0bdcb4947d7e8ee0ee0fd"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0c4066fe0ac0bdcb4947d7e8ee0ee0fd">_predictionScaler</a></td></tr>
<tr class="separator:a0c4066fe0ac0bdcb4947d7e8ee0ee0fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4976122607a44955492fec1ab61f015" id="r_ac4976122607a44955492fec1ab61f015"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac4976122607a44955492fec1ab61f015">_parameterScaler</a></td></tr>
<tr class="separator:ac4976122607a44955492fec1ab61f015"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model" id="r_a0877da878cabba96d129b5e2540b9eca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a> (std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt; parserFactory)</td></tr>
<tr class="memdesc:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model" id="r_ab783bd628a80774149c34f0e2b8f8f48"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model" id="r_a7b1045b2b3c48d7e89042abbf042184e"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a17ac3b399c0615c5e4033f532e8cc7c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a> { false }</td></tr>
<tr class="separator:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a79a4a98914ebfc91398a20b9014726e1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td></tr>
<tr class="separator:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;typename T&gt;<br />
class melon::GaussianProcess&lt; T &gt;</div><p>This class represents a Gaussian process, to be used in the MAiNGO solver. </p>
<p>This class is used to enable the solution of optimization problems in MAiNGO containing Gaussian processes. The trained GPs can be loaded from json files created in matlab. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a386be5795c1407b0df246c12b8035054" name="a386be5795c1407b0df246c12b8035054"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a386be5795c1407b0df246c12b8035054">&#9670;&#160;</a></span>GaussianProcess() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::GaussianProcess </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Constructor. </p>

</div>
</div>
<a id="ae1c32e218afd15ba63535b145d9856e8" name="ae1c32e218afd15ba63535b145d9856e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c32e218afd15ba63535b145d9856e8">&#9670;&#160;</a></span>GaussianProcess() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::GaussianProcess </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the Gaussian process </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad022caec3e9f32a89a554afa9ea77883" name="ad022caec3e9f32a89a554afa9ea77883"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad022caec3e9f32a89a554afa9ea77883">&#9670;&#160;</a></span>GaussianProcess() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::GaussianProcess </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>is the path to the directory in which the Gaussian process file is located</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the Gaussian process </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5d6d128dfb4eca209c55da37ea1c2f87" name="a5d6d128dfb4eca209c55da37ea1c2f87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d6d128dfb4eca209c55da37ea1c2f87">&#9670;&#160;</a></span>GaussianProcess() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::GaussianProcess </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="structmelon_1_1_g_p_data.html" title="struct containing all information regarding the Gaussian process">GPData</a> object containing the data which defines the Gaussian process </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aae8bb3d11aff0e09abd06a04c79ce919" name="aae8bb3d11aff0e09abd06a04c79ce919"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae8bb3d11aff0e09abd06a04c79ce919">&#9670;&#160;</a></span>_calculate_covariance_vector()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename RandomAccessIterator &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; T &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_calculate_covariance_vector </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RandomAccessIterator &amp;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool</td>          <td class="paramname"><span class="paramname"><em>fullSpace</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculates the covariance vector of the Gaussian process for a given point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which the covariance vector is calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a iterator pointing to the beginning of the internal variables used in calculation of the covariance vector</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fullSpace</td><td>indicates wether the Gaussian process should be evaluated in fullspace mode (all internal variables are pre-set and given in variables and a vector of constraints is returned)</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is a vector of constraints which are the difference of the given (in the vector variables) and calulated internal Gaussian process variables.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the covariance vector </dd></dl>

</div>
</div>
<a id="a6e0cf68a04c497a3b5f6ac9ba23f9105" name="a6e0cf68a04c497a3b5f6ac9ba23f9105"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e0cf68a04c497a3b5f6ac9ba23f9105">&#9670;&#160;</a></span>_calculate_prediction()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename RandomAccessIterator &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_calculate_prediction </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>covarianceVector</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RandomAccessIterator &amp;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool</td>          <td class="paramname"><span class="paramname"><em>fullSpace</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculates the prediction of the Gaussian process for a given point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">covarianceVector</td><td>is a vector based on which the prediction is calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a iterator pointing to the beginning of the internal variables used in calculation of the prediction</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fullSpace</td><td>indicates wether the Gaussian process should be evaluated in fullspace mode (all internal variables are pre-set and given in variables and a vector of constraints is returned)</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is a vector of constraints which are the difference of the given (in the vector variables) and calulated internal Gaussian process variables.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the prediction </dd></dl>

</div>
</div>
<a id="a2f9be500790e7a7f8f01e905bab43286" name="a2f9be500790e7a7f8f01e905bab43286"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f9be500790e7a7f8f01e905bab43286">&#9670;&#160;</a></span>_calculate_variance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename RandomAccessIterator &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_calculate_variance </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>covarianceVector</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RandomAccessIterator &amp;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool</td>          <td class="paramname"><span class="paramname"><em>fullSpace</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculates the variance of the Gaussian process for a given point. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">covarianceVector</td><td>is a vector based on which the variance is calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a iterator pointing to the beginning of the internal variables used in calculation of the variance</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fullSpace</td><td>indicates wether the Gaussian process should be evaluated in fullspace mode (all internal variables are pre-set and given in variables and a vector of constraints is returned)</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is a vector of constraints which are the difference of the given (in the vector variables) and calulated internal Gaussian process variables.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the variance </dd></dl>

</div>
</div>
<a id="a8eec30fd8d4072723776d87b5c510b15" name="a8eec30fd8d4072723776d87b5c510b15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eec30fd8d4072723776d87b5c510b15">&#9670;&#160;</a></span>_set_data_object()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_set_data_object </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets data object containing model parameters. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism.">ModelData</a> object containing the data which defines the model </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classmelon_1_1_melon_model.html#ae1d72d9bbe5993be3d9230395abc0310">melon::MelonModel&lt; T &gt;</a>.</p>

</div>
</div>
<a id="aefa8c94b875d1c3162326c04fc3794e9" name="aefa8c94b875d1c3162326c04fc3794e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefa8c94b875d1c3162326c04fc3794e9">&#9670;&#160;</a></span>_set_kernel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_set_kernel </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>data</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function for setting the kernel of the Gaussian process. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>is a pointer to a <a class="el" href="structmelon_1_1_g_p_data.html" title="struct containing all information regarding the Gaussian process">GPData</a> object containing information about the kernel that should be set </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aea1c4e3fa274464c3cee7639f90ddbb2" name="aea1c4e3fa274464c3cee7639f90ddbb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea1c4e3fa274464c3cee7639f90ddbb2">&#9670;&#160;</a></span>calculate_prediction_and_variance_full_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt; T, T &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::calculate_prediction_and_variance_full_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the prediction and the variance of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which prediction and variance of the Gaussian process are calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a vector containing values for the internal variables of the Gaussian process predcition and variance calculation</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is vector containing the evaluation of the fullspace constraints regarding the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns a pair contianing the prediction and variance value </dd></dl>

</div>
</div>
<a id="a9b9fd56e1979ed3d19dd1ea1e5c20f6d" name="a9b9fd56e1979ed3d19dd1ea1e5c20f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b9fd56e1979ed3d19dd1ea1e5c20f6d">&#9670;&#160;</a></span>calculate_prediction_full_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::calculate_prediction_full_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the prediction of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which the prediction of the Gaussian process is calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a vector containing values for the internal variables of the Gaussian process prediction calculation</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is vector containing the evaluation of the fullspace constraints regarding the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the prediction of the gaussian process </dd></dl>

</div>
</div>
<a id="a9b51f0e927d803d0fef8e55a6048db9f" name="a9b51f0e927d803d0fef8e55a6048db9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b51f0e927d803d0fef8e55a6048db9f">&#9670;&#160;</a></span>calculate_prediction_reduced_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::calculate_prediction_reduced_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the prediction of the Gaussian process at a given point in reduced space mode (only network inputs are given) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which the prediction of the Gaussian process is calculated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the prediction of the gaussian process </dd></dl>

</div>
</div>
<a id="a94eabcf5f7738b9b8a153fdcdecc6227" name="a94eabcf5f7738b9b8a153fdcdecc6227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94eabcf5f7738b9b8a153fdcdecc6227">&#9670;&#160;</a></span>calculate_variance_full_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::calculate_variance_full_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the variance of the Gaussian process at a given point in full space mode (values for all internal variables are given and a set of constraints is returned) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which the variance of the Gaussian process is calculated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>is a vector containing values for the internal variables of the Gaussian process variance calculation</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>is vector containing the evaluation of the fullspace constraints regarding the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the variance of the gaussian process </dd></dl>

</div>
</div>
<a id="a6c7f1bb9cf6432e92cb6e1fa1682173f" name="a6c7f1bb9cf6432e92cb6e1fa1682173f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c7f1bb9cf6432e92cb6e1fa1682173f">&#9670;&#160;</a></span>calculate_variance_reduced_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::calculate_variance_reduced_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the variance of the Gaussian process at a given point in reduced space mode (only network inputs are given) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector containing input point for which the variance of the Gaussian process is calculated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the variance of the gaussian process </dd></dl>

</div>
</div>
<a id="a1e8c3d8b831d23f84ed287936cfddee6" name="a1e8c3d8b831d23f84ed287936cfddee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e8c3d8b831d23f84ed287936cfddee6">&#9670;&#160;</a></span>data()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a> &amp; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::data </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Getter for member variable _data. </p>

</div>
</div>
<a id="a24caeed57b90c191e62dc0142b94fea2" name="a24caeed57b90c191e62dc0142b94fea2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24caeed57b90c191e62dc0142b94fea2">&#9670;&#160;</a></span>get_full_space_variables_prediction()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_full_space_variables_prediction </td>
          <td>(</td>
          <td class="paramtype">unsigned int &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNumber</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNames</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableBounds</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the properties of internal variables used in the calculation of the prediction. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNumber</td><td>is the number of internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNames</td><td>is a vector containing the names of the internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableBounds</td><td>is a vector of pairs containing the bounds of the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="a0e0ade2765c9ac980f7d800a70ef24b7" name="a0e0ade2765c9ac980f7d800a70ef24b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e0ade2765c9ac980f7d800a70ef24b7">&#9670;&#160;</a></span>get_full_space_variables_prediction_and_variance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_full_space_variables_prediction_and_variance </td>
          <td>(</td>
          <td class="paramtype">unsigned int &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNumber</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNames</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableBounds</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the properties of internal variables used in the calculation of prediction and variance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNumber</td><td>is the number of internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNames</td><td>is a vector containing the names of the internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableBounds</td><td>is a vector of pairs containing the bounds of the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="a579feefd59d2f49a68355a7fa60f6aca" name="a579feefd59d2f49a68355a7fa60f6aca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a579feefd59d2f49a68355a7fa60f6aca">&#9670;&#160;</a></span>get_full_space_variables_variance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_full_space_variables_variance </td>
          <td>(</td>
          <td class="paramtype">unsigned int &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNumber</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNames</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableBounds</em></span>&#160;) const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the properties of internal variables used in the calculation of the variance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNumber</td><td>is the number of internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNames</td><td>is a vector containing the names of the internal variables</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableBounds</td><td>is a vector of pairs containing the bounds of the internal variables</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="a006eeec94356a5c0d487afe48576c5da" name="a006eeec94356a5c0d487afe48576c5da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a006eeec94356a5c0d487afe48576c5da">&#9670;&#160;</a></span>get_input_dimension()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_input_dimension </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the dimesnion of the input. </p>
<dl class="section return"><dt>Returns</dt><dd>returns input dimension </dd></dl>

</div>
</div>
<a id="a35581bbd6af8440edc7a1b61215a005b" name="a35581bbd6af8440edc7a1b61215a005b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35581bbd6af8440edc7a1b61215a005b">&#9670;&#160;</a></span>get_maximum_of_training_data_outputs()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_maximum_of_training_data_outputs </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the maximum value of the training data outputs. </p>
<dl class="section return"><dt>Returns</dt><dd>returns the maximum value of the training data outputs </dd></dl>

</div>
</div>
<a id="a0e3d14f20ee559d8cf964ebf36bc386b" name="a0e3d14f20ee559d8cf964ebf36bc386b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e3d14f20ee559d8cf964ebf36bc386b">&#9670;&#160;</a></span>get_minimum_of_training_data_outputs()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_minimum_of_training_data_outputs </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the minimum value of the training data outputs. </p>
<dl class="section return"><dt>Returns</dt><dd>returns the minimum value of the training data outputs </dd></dl>

</div>
</div>
<a id="a88731473ec79c91e7d76b73f445abca5" name="a88731473ec79c91e7d76b73f445abca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88731473ec79c91e7d76b73f445abca5">&#9670;&#160;</a></span>get_normalized_observations()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; double &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_normalized_observations </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the the normalized values of the observations based on which the Gaussian process was trained and is evaluated. </p>
<dl class="section return"><dt>Returns</dt><dd>returns the normalized Gaussian process' training observations </dd></dl>

</div>
</div>
<a id="ae4ee37192b3384763b4e43c8c3d345ee" name="ae4ee37192b3384763b4e43c8c3d345ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ee37192b3384763b4e43c8c3d345ee">&#9670;&#160;</a></span>get_number_of_full_space_variables_prediction()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_number_of_full_space_variables_prediction </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of internal variables used in the calculation of the prediction. </p>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="a585d1d461394871c97aad401c2228c99" name="a585d1d461394871c97aad401c2228c99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a585d1d461394871c97aad401c2228c99">&#9670;&#160;</a></span>get_number_of_full_space_variables_prediction_and_variance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_number_of_full_space_variables_prediction_and_variance </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of internal variables used in the calculation of prediction and variance. </p>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="aa57f8f0996f1a8f467d4e0a4460daccc" name="aa57f8f0996f1a8f467d4e0a4460daccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa57f8f0996f1a8f467d4e0a4460daccc">&#9670;&#160;</a></span>get_number_of_full_space_variables_variance()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_number_of_full_space_variables_variance </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of internal variables used in the calculation of the variance. </p>
<dl class="section return"><dt>Returns</dt><dd>returns number of internal variables </dd></dl>

</div>
</div>
<a id="a99abab766cd09603c980597d38116d53" name="a99abab766cd09603c980597d38116d53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99abab766cd09603c980597d38116d53">&#9670;&#160;</a></span>get_number_of_training_data_points()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_number_of_training_data_points </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of training data points. </p>
<dl class="section return"><dt>Returns</dt><dd>returns number of training data points </dd></dl>

</div>
</div>
<a id="ac30f580feffc439827c21b45186306b7" name="ac30f580feffc439827c21b45186306b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac30f580feffc439827c21b45186306b7">&#9670;&#160;</a></span>get_observations()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; double &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::get_observations </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the observations based on which the Gaussian process was trained and is evaluated. </p>
<dl class="section return"><dt>Returns</dt><dd>returns the Gaussian process' training observations </dd></dl>

</div>
</div>
<a id="a42d8f0f48eb7287d56c02669311c948d" name="a42d8f0f48eb7287d56c02669311c948d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42d8f0f48eb7287d56c02669311c948d">&#9670;&#160;</a></span>inputScaler()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::inputScaler </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Getter for member variable _inputScaler. </p>

</div>
</div>
<a id="ab97b001f7292c45711747d1c8a2af0c4" name="ab97b001f7292c45711747d1c8a2af0c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab97b001f7292c45711747d1c8a2af0c4">&#9670;&#160;</a></span>kernel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt; double, T &gt; &amp; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::kernel </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Getter for member variable _kernel. </p>

</div>
</div>
<a id="a47e87f482e0b7a8d6ab7ed6640af3d2c" name="a47e87f482e0b7a8d6ab7ed6640af3d2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47e87f482e0b7a8d6ab7ed6640af3d2c">&#9670;&#160;</a></span>parameterScaler()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::parameterScaler </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Getter for member variable _parameterScaler. </p>

</div>
</div>
<a id="adccc51ca01998882d9fbc13d4c4b8f6d" name="adccc51ca01998882d9fbc13d4c4b8f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adccc51ca01998882d9fbc13d4c4b8f6d">&#9670;&#160;</a></span>predictionScaler()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &amp; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::predictionScaler </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Getter for member variable _predictionScaler. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7a0e63218ed6e1c2c03ef0da5f0eee3e" name="a7a0e63218ed6e1c2c03ef0da5f0eee3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a0e63218ed6e1c2c03ef0da5f0eee3e">&#9670;&#160;</a></span>_data</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;const <a class="el" href="structmelon_1_1_g_p_data.html">GPData</a>&gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_data</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>object containing the data and parameters of the Gaussian process </p>

</div>
</div>
<a id="ab71eff604f282686adc536b2692414a6" name="ab71eff604f282686adc536b2692414a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab71eff604f282686adc536b2692414a6">&#9670;&#160;</a></span>_inputScaler</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt;T&gt; &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_inputScaler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Object for scaling input data </p>

</div>
</div>
<a id="a281daa122ee8cde5ea35d22febfb9830" name="a281daa122ee8cde5ea35d22febfb9830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a281daa122ee8cde5ea35d22febfb9830">&#9670;&#160;</a></span>_kernel</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt;double, T&gt; &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_kernel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>kernel object </p>

</div>
</div>
<a id="ac4976122607a44955492fec1ab61f015" name="ac4976122607a44955492fec1ab61f015"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4976122607a44955492fec1ab61f015">&#9670;&#160;</a></span>_parameterScaler</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt;double&gt; &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_parameterScaler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Object for scaling double parameters </p>

</div>
</div>
<a id="a0c4066fe0ac0bdcb4947d7e8ee0ee0fd" name="a0c4066fe0ac0bdcb4947d7e8ee0ee0fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c4066fe0ac0bdcb4947d7e8ee0ee0fd">&#9670;&#160;</a></span>_predictionScaler</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt;T&gt; &gt; <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess</a>&lt; T &gt;::_predictionScaler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Object for scaling output data </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/gaussian process/model/inc/<a class="el" href="gp_8h_source.html">gp.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_gaussian_process.html">GaussianProcess</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
